/// The REST methods routes can use
enum Method {
  // POST method
  POST,
  // GET method
  GET,
  // PUT method
  PUT,
  // PATCH method
  PATCH,
  // DELETE method
  DELETE
}

/// The Route annotation used to define new routes
class Route {
  /// The "path" of the route
  final String path;

  /// The method in which the route is available
  final Method method;

  /// Creates a new Route instance
  const Route(this.path, this.method);
}
