import 'dart:mirrors';
import 'route.dart';

String getRoutePath(Function routeClosure) {
  ClosureMirror cm = reflect(routeClosure) as ClosureMirror;
  InstanceMirror im =
      cm.function.metadata.firstWhere((meta) => meta.reflectee is Route);
  return im.reflectee.path;
}

String getRouteMethod(Function routeClosure) {
  ClosureMirror cm = reflect(routeClosure) as ClosureMirror;
  InstanceMirror im =
      cm.function.metadata.firstWhere((meta) => meta.reflectee is Route);
  switch (im.reflectee.method) {
    case Method.POST:
      return "POST";
    case Method.GET:
      return "GET";
    case Method.PUT:
      return "PUT";
    case Method.PATCH:
      return "PATCH";
    case Method.DELETE:
      return "DELETE";
    default:
      return null;
  }
}
